/*
 Theme Name:   Bluepixel
 Template:     blocksy
 Version:      1.0.0
*/

:root {
    --border: 220 15% 90%;
    --grey-text: #5c6370;
    /*--primary: 220 70% 50%;*/
    --primary: #2662d9;
    --accent: #F7673B;
    --light-blue: #3A70DC;
    --blue-alfa: #2662d91a;
    --blue-alfa-2: #2662d933;
    --dark-blue: #274DB4;
    --black: #181D25;
    --white: #FCFCFC;
    --titanium-white: #F3F4F6;
    --ghost-white: #F9F9FA;
    --grey: #6A7181;
    --grey-2: #f3f4f64d;
    --total-white: #FFFFFF;
    --tile-border-color: #e2e4e9;
    --tile-hover-border-color: #121621;
    --tw-shadow: 0 1px 2px 0 #0000000d;
    --tw-ring-shadow: 0 0 #0000;

    --backgroud-color: var(--grey-2);
    --highlight-color: var(--blue);
    --highlight-gradient: linear-gradient(135deg, var(--blue) 0%, var(--dark-blue) 100%);
    --gradient-text: linear-gradient(120deg, hsl(200 95% 55%) 0%, hsl(224 90% 55%) 45%, hsl(244 78% 45%) 100%);

    --radius: 12px;
    --svg-container-size: 48px;
    --container-padding: 28px;
    --icon-size: 20px;

    --tw-translate-x: 0;
    --tw-translate-y: -4px;
    --tw-rotate: 0;
    --tw-skew-x: 0;
    --tw-skew-y: 0;
    --tw-scale-x: 1;
    --tw-scale-y: 1;

}

html body h1 {
    margin-bottom: 24px;
    letter-spacing: -.025em;
}

h1 .special, 
h2 .special {
    background: var(--gradient-text);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
}

.icon-tile {
    border: 1px solid var(--tile-border-color);
    transition-duration: .3s;
    animation-duration: .3s;
}

.icon-tile:hover {
    border-color: var(--tile-hover-border-color);
    transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
    box-shadow: 0 0 #0000, 0 0 #0000, 0 10px 15px -3px rgb(0 0 0 / .1), 0 4px 6px -4px rgb(0 0 0 / .1);
}

.icon-tile h3 {
    font-weight: 700;
    font-family: Plus Jakarta Sans,system-ui,sans-serif;
    letter-spacing: -0.5px;
    font-size: 20px;
    line-height: 28px;
}

.icon-tile p {
    font-family: Plus Jakarta Sans,system-ui,sans-serif;
    letter-spacing: -0.5px;
    font-size: 14px;
    line-height: 1.625;
}

.icon-tile .elementor-icon-box-icon{
    width: var(--svg-container-size);
    height: var(--svg-container-size);
    background-color: var(--primary);
    border-radius: var(--radius);
    padding: calc((var(--svg-container-size) - var(--icon-size)) / 2);
    transition-property: transform;
    transition-timing-function: cubic-bezier(.4, 0, .2, 1);
    transition-duration: .15s;
}

.svg-container, .elementor .svg-container{
    padding: 10px;
    float: left;
    display: block;
    width: var(--svg-container-size);
    height: var(--svg-container-size);
    border-radius: var(--radius);
    background-color: var(--primary);
    transition-property: transform;
    transition-timing-function: cubic-bezier(.4, 0, .2, 1);
    transition-duration: .15s;
}

.icon-tile:hover .elementor-icon-box-icon {
    transform: translate(0, 0) rotate(3deg) skew(0) skewY(0) scaleX(1.1) scaleY(1.1);
}

.icon-tile.contrast, .icon-tile.contrast h3 {
    color: var(--total-white);
}

.icon-tile.contrast .elementor-icon-box-icon {
    background-color: var(--accent);
}

@keyframes ping {
    75%,to {
        transform: scale(2);
        opacity: 0
    }
}

html body .badge {
    padding: 6px 14px;
    background-color: var(--white);
    border-radius: 999px;
    border-style: solid;
    border-width: 1px;
    border-color: var(--tile-border-color);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);

}

html body .badge > div,
html body .little-columns .bigger-text
{
    display: flex;
    flex-direction: row;
    gap: 5px;
    align-items: center;
    font-weight: 700;
}

html body .badge p {
    line-height: .9rem;
    padding-bottom: 1px;
}

html body .dot > div::before,
html body .little-columns .dot::before
{
    display: inline-block;
    width: .5rem;
    height: .5rem;
    content: '';
    color: var(--accent);
    border-radius: 9999px;
    background-color: var(--accent);
}

html body .dot.animated-dot > div::after {
    display: inline-block;
    position: absolute;
    left: 0;
    width: .5rem;
    height: .5rem;
    content: '';
    color: var(--accent);
    border-radius: 9999px;
    background-color: var(--accent);
    animation: ping 1s cubic-bezier(0, 0, .2, 1) infinite;
}
html body .badge .elementor-element-overlay {
    display: none;
}

.pixel-grid {
    background-image: linear-gradient(hsl(var(--border) / .5) 1px, transparent 1px), linear-gradient(90deg, hsl(var(--border) / .5) 1px, transparent 1px);
    background-size: 60px 60px;
}

html body div.blurred-background-color {
    position: relative;
    background-color: #00000000 !important;
}

html body .blurred-background-color::before {
  content: ''; /* Najlepiej zostawić puste, jeśli to tylko tło */
  width: 70%;
  height: 70%;
  position: absolute;
  top: 15%;
  left: 15%;
  border-radius: 9999px;
  background-color: rgb(from var(--primary) r g b / 0.15);
  filter: blur(100px);
}

html body .grid-background {
    background-image: linear-gradient(hsl(var(--border) / .25) 1px, transparent 1px), linear-gradient(90deg, hsl(var(--border) / .25) 1px, transparent 1px);
    background-size: 60px 60px;
}

.text {
    font-size: 20px;
    line-height: 28px;
    color: var(--grey-text);
}

html body .bigger-text, html body p.bigger-text {
    font-size: 30px;
    line-height: 36px;
    font-weight: 700;
    color: var(--black);
}


html body div.custom-button a {
    border-radius: 10px;
    background-color: var(--white);
    color: var(--black);
    fill: var(--black);
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
    transition: none;
    transition: padding .3s;
}

html body div.custom-button a:hover {
    color: var(--white);
    fill: var(--white);
}

html body div.custom-button.cta a:hover {
    padding-right: 18px;
}

html body div.custom-button.cta a .elementor-button-content-wrapper {
    transition: none;
    transition: gap .3s;
}

html body div.custom-button.cta a:hover .elementor-button-content-wrapper {
    gap: 16px !important;
}

html body .elementor-button:visited {
    color: unset;
}

.custom-button.button-theme-1 a,
.custom-button.button-theme-1 a:visited {
    background-color: var(--primary);
    color: var(--white);
    fill: var(--white);
}

.custom-button.button-theme-2 a,
.custom-button.button-theme-2 a:visited {
    background-color: var(--total-white);
    color: var(--black);
    fill: var(--black);
    border: 1px solid var(--tile-border-color);
}

.custom-button.button-theme-2 a:hover {
    background-color: var(--accent);
    color: var(--white);
    fill: var(--white);
}

.tile-cta {
    color: var(--primary);
    font-size: large;
    font-weight: 500;
    position: absolute;
    right: 28px;
    bottom: 28px;
    transform: translateY(10px);
    opacity: 0;
    transition: opacity .3s, transform .3s;
}

.contrast .tile-cta {
    color: var(--accent);
}

.link-tile:hover .tile-cta {
    transform: translateY(0);
    opacity: 1;
}








/* MOBILE */
@media (max-width: 767px) {
    .elementor-kit-6 h1 {
        font-size: 40px;
    }
}